<!DOCTYPE html>
<html>
<head>
<style> 
div {
  width: 100px;
  height: 50px;
  right:  50%;
  bottom: 50%;

  /* background-color: blue; */
  
  font-weight: bold;
  position: absolute;
  -webkit-animation: cuadrado 5s infinite ,  ; /* Safari 4.0 - 8.0 */
  animation: orbita 5s infinite;
}

#square{
  width: 100px;
  height: 50px;
  background-color: red;

 animation: rotation 2s infinite; 
}

/* Safari 4.0 - 8.0 */
#div1 {-webkit-animation-timing-function: linear;}

/* Standard syntax */
#div1 {animation-timing-function: ease-out;}



@keyframes cuadrado {
  0% {right: 90%;bottom:90%;}
  25% {right: 90%;bottom:0%;}
  50% {right: 0%;bottom:0%;}
  75% {right: 0%;bottom:90%;}
  100% {right: 90%;bottom:90%;}
}
/* Standard syntax */
@keyframes orbita {
  from { transform: rotate(0deg) translateX(150px) rotate(0deg); }
  to   { transform: rotate(360deg) translateX(150px) rotate(-360deg); }
}

@keyframes rotation {
  /* 0% {transform: rotate(0deg);} */
  100% {transform: rotate(360deg) ;}
  
}
</style>
</head>
<body>

<p><strong>Note:</strong> The animation-timing-funtion property is not supported in Internet Explorer 9 and earlier versions.</p>

<div id="div1">
  <div id="square"></div>
</div>


</body>
</html>